Skip to content

Refund Inquiry

  • Endpoint: POST /aggregate-pay/api/gateway/refundQuery
  • Tags: Collection Service

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.5
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYesRequest data body
data.outRefundNostringNomaxLength: 64Original merchant refund order id
data.refundTradeNostringNomaxLength: 64PayerMax refund order id, choose one of the outRefundNo and refundTradeNo

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2022-01-17T07:01:23.737+00:00",
  "appId": "a0dddd1f622243cb9aa1b676e808b5f8",
  "merchantNo": "02021382719993",
  "data": {
    "outRefundNo": "R1642411016202"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success.It only represents the success of the interface request, not the order status.
msgstringYesReturn message, ‘Success.’.It only represents the success of the interface request, not the order status.
dataobjectNoReturn data body
data.outRefundNostringNomaxLength: 64Merchant refund order id
data.refundTradeNostringNomaxLength: 64PayerMax refund order id
data.refundAmountnumberNoThe amount of the refund, the unit of the amount is yuan, and it will be returned according to the decimal point supported by the currency of each country.
data.refundCurrencystringNomaxLength: 3Refund currency (original transaction currency)
data.outTradeNostringNomaxLength: 64Original merchant order id
data.statusstringNomaxLength: 32the status of refund,Please refer to【Refund statusREFUND_SUCCESS, REFUND_PENDING , REFUND_FAILED
data.resultMsgstringNomaxLength: 256the reason of refund status,it only has a value when it fails
data.refundFinishTimestringYesrefund finish time

Response Example

json
{
  "code": "APPLY_SUCCESS",
  "msg": "",
  "data": {
    "outRefundNo": "R1642411016202",
    "refundTradeNo": "20220117091657TI790000055087",
    "totalAmount": 10000,
    "refundCurrency": "IDR",
    "outTradeNo": "P1642410680681",
    "status": "REFUND_SUCCESS",
    "refundFinishTime": "2023-10-20T03:28:23.092Z",
    "resultMsg": "Success"
  }
}

Enum Reference

data.status

  • REFUND_SUCCESS
  • REFUND_PENDING
  • REFUND_FAILED

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.